% Compute MSE for training and testing data for use with IRP partitioning (i.e. cut) problem
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Inputs:  
% yTrain:      n1 x 1 vector of training observations
% yTest:       n2 x 1 vector of testing observations
% pathIRP:    n1 x count matrix where columns are the isotonic solutions
%                 along the IRP path, and count is the length of the path
% yPred:       predictions of testing points along all isotonic models
%                 given by input pathIRP
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Outputs:  
% errorTest:    error on testing data 
% errorTrain:   error on training data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Modified by Ronny Luss, May 2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [errorTest,errorTrain] = predictLossFunction(yTrain,yTest,pathIRP,yPred)
    errorTest=mean((yPred-yTest*ones(1,size(yPred,2))).^2,1);
    errorTrain=mean((pathIRP-yTrain*ones(1,size(yPred,2))).^2,1);
end